import { BasicEvent } from "@skeldjs/events";
import { ExitVentMessage } from "@skeldjs/protocol";
import { Hostable } from "../../Hostable";
import { PlayerData } from "../../PlayerData";
import { ProtocolEvent } from "../ProtocolEvent";
import { RoomEvent } from "../RoomEvent";
import { PlayerEvent } from "./PlayerEvent";
/**
 * Emitted when a player leaves a vent.
 */
export declare class PlayerExitVentEvent<RoomType extends Hostable = Hostable> extends BasicEvent implements RoomEvent, PlayerEvent, ProtocolEvent {
    readonly room: RoomType;
    readonly player: PlayerData<RoomType>;
    readonly message: ExitVentMessage | undefined;
    /**
     * The ID of the vent that the player left.
     */
    readonly ventid: number;
    static eventName: "player.exitvent";
    eventName: "player.exitvent";
    constructor(room: RoomType, player: PlayerData<RoomType>, message: ExitVentMessage | undefined, 
    /**
     * The ID of the vent that the player left.
     */
    ventid: number);
}
