import { BasicEvent } from "@skeldjs/events";
import { MurderPlayerMessage } from "@skeldjs/protocol";
import { Hostable } from "../../Hostable";
import { RoomEvent } from "../RoomEvent";
import { ProtocolEvent } from "../ProtocolEvent";
import { PlayerEvent } from "./PlayerEvent";
import { PlayerData } from "../../PlayerData";
/**
 * Emitted when a player murders another player.
 *
 * Due to technical limitations, this event cannot be canceled or reverted
 * without advanced "breaking game", therefore it is out of scope of a single
 * `.revert()` function.
 */
export declare class PlayerMurderEvent<RoomType extends Hostable = Hostable> extends BasicEvent implements RoomEvent, PlayerEvent, ProtocolEvent {
    readonly room: RoomType;
    readonly player: PlayerData<RoomType>;
    readonly message: MurderPlayerMessage | undefined;
    /**
     * The player that was murdered.
     */
    readonly victim: PlayerData<RoomType>;
    static eventName: "player.murder";
    eventName: "player.murder";
    constructor(room: RoomType, player: PlayerData<RoomType>, message: MurderPlayerMessage | undefined, 
    /**
     * The player that was murdered.
     */
    victim: PlayerData<RoomType>);
}
