"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlayerSetHatEvent = void 0;
const events_1 = require("@skeldjs/events");
/**
 * Emitted when a player has their player hat updated.
 */
class PlayerSetHatEvent extends events_1.BasicEvent {
    constructor(room, player, message, 
    /**
     * The hat that the player had before.
     */
    oldHat, 
    /**
     * The new hat that the player has.
     */
    newHat) {
        super();
        this.room = room;
        this.player = player;
        this.message = message;
        this.oldHat = oldHat;
        this.newHat = newHat;
        this.eventName = "player.sethat";
        this._atleredHat = newHat;
    }
    /**
     * The altered hat that the player will have set instead, if changed.
     */
    get alteredHat() {
        return this._atleredHat;
    }
    /**
     * Revert the player's hat back to their old hat.
     */
    revert() {
        this.setHat(this.oldHat);
    }
    /**
     * Change the hat that the player had set.
     * @param hat The hat to set.
     */
    setHat(hat) {
        this._atleredHat = hat;
    }
}
exports.PlayerSetHatEvent = PlayerSetHatEvent;
PlayerSetHatEvent.eventName = "player.sethat";
//# sourceMappingURL=SetHat.js.map