import { BasicEvent } from "@skeldjs/events";
import { StartMeetingMessage } from "@skeldjs/protocol";
import { RoomEvent } from "../RoomEvent";
import { ProtocolEvent } from "../ProtocolEvent";
import { PlayerEvent } from "./PlayerEvent";
import { Hostable } from "../../Hostable";
import { PlayerData } from "../../PlayerData";
/**
 * Emitted when a player (i.e. the host of the room) starts a meeting.
 */
export declare class PlayerStartMeetingEvent<RoomType extends Hostable = Hostable> extends BasicEvent implements RoomEvent, PlayerEvent, ProtocolEvent {
    readonly room: RoomType;
    readonly player: PlayerData<RoomType>;
    readonly message: StartMeetingMessage | undefined;
    /**
     * The player of the body that was reported, or "emergency" if the
     * meeting is an emergency meeting.
     */
    readonly body: PlayerData<RoomType> | "emergency";
    static eventName: "player.startmeeting";
    eventName: "player.startmeeting";
    constructor(room: RoomType, player: PlayerData<RoomType>, message: StartMeetingMessage | undefined, 
    /**
     * The player of the body that was reported, or "emergency" if the
     * meeting is an emergency meeting.
     */
    body: PlayerData<RoomType> | "emergency");
}
