import { CancelableEvent } from "@skeldjs/events";
import { Hostable } from "../../Hostable";
/**
 * Emitted when a game end intent critera is fulfilled, and the game is planned
 * to end.
 *
 * Useful for canceling typical end game scenarios. See {@link RoomGameEndEvent}
 * to listen for an actual game end, and see {@link Hostable.registerEndGameIntent}
 * to register your own end game intent.
 */
export declare class RoomEndGameIntentEvent<RoomType extends Hostable> extends CancelableEvent {
    readonly room: RoomType;
    readonly intentName: string;
    static eventName: "room.endgameintent";
    eventName: "room.endgameintent";
    constructor(room: RoomType, intentName: string);
}
